com.google.common.collect

## Class ForwardingMap.StandardEntrySet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - com.google.common.collect.ForwardingMap.StandardEntrySet

- All Implemented Interfaces:
    java.lang.Iterable<java.util.Map.Entry<K,V>>, java.util.Collection<java.util.Map.Entry<K,V>>, java.util.Set<java.util.Map.Entry<K,V>>
  Enclosing class:
    ForwardingMap<K,V>

      @Beta
      protected abstract class ForwardingMap.StandardEntrySet
      extends java.util.AbstractSet<E>

  A sensible implementation of `Map.entrySet()` in terms of the following methods: `ForwardingMap.clear()`, `ForwardingMap.containsKey(java.lang.Object)`, `ForwardingMap.get(java.lang.Object)`, `ForwardingMap.isEmpty()`, `ForwardingMap.remove(java.lang.Object)`, and `ForwardingMap.size()`. In many cases, you may wish to override `ForwardingMap.entrySet()` to forward to this implementation or a subclass thereof.
  Since:
    10.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForwardingMap.StandardEntrySet()` Constructor for use by subclasses.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `contains(java.lang.Object o)`
    `boolean` | `isEmpty()`
    `boolean` | `remove(java.lang.Object o)`
    `boolean` | `removeAll(java.util.Collection<?> c)`
    `boolean` | `retainAll(java.util.Collection<?> c)`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, containsAll, iterator, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, containsAll, iterator, toArray, toArray`

- - ### Constructor Detail

    - #### ForwardingMap.StandardEntrySet

          public ForwardingMap.StandardEntrySet()

      Constructor for use by subclasses.

  - ### Method Detail

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection<java.util.Map.Entry<K,V>>`
      Specified by:
        `size` in interface `java.util.Set<java.util.Map.Entry<K,V>>`
      Specified by:
        `size` in class `java.util.AbstractCollection<java.util.Map.Entry<K,V>>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Collection<java.util.Map.Entry<K,V>>`
      Specified by:
        `clear` in interface `java.util.Set<java.util.Map.Entry<K,V>>`
      Overrides:
        `clear` in class `java.util.AbstractCollection<java.util.Map.Entry<K,V>>`

    - #### contains

          public boolean contains(java.lang.Object o)

      Specified by:
        `contains` in interface `java.util.Collection<java.util.Map.Entry<K,V>>`
      Specified by:
        `contains` in interface `java.util.Set<java.util.Map.Entry<K,V>>`
      Overrides:
        `contains` in class `java.util.AbstractCollection<java.util.Map.Entry<K,V>>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Collection<java.util.Map.Entry<K,V>>`
      Specified by:
        `isEmpty` in interface `java.util.Set<java.util.Map.Entry<K,V>>`
      Overrides:
        `isEmpty` in class `java.util.AbstractCollection<java.util.Map.Entry<K,V>>`

    - #### remove

          public boolean remove(java.lang.Object o)

      Specified by:
        `remove` in interface `java.util.Collection<java.util.Map.Entry<K,V>>`
      Specified by:
        `remove` in interface `java.util.Set<java.util.Map.Entry<K,V>>`
      Overrides:
        `remove` in class `java.util.AbstractCollection<java.util.Map.Entry<K,V>>`

    - #### removeAll

          public boolean removeAll(java.util.Collection<?> c)

      Specified by:
        `removeAll` in interface `java.util.Collection<java.util.Map.Entry<K,V>>`
      Specified by:
        `removeAll` in interface `java.util.Set<java.util.Map.Entry<K,V>>`

    - #### retainAll

          public boolean retainAll(java.util.Collection<?> c)

      Specified by:
        `retainAll` in interface `java.util.Collection<java.util.Map.Entry<K,V>>`
      Specified by:
        `retainAll` in interface `java.util.Set<java.util.Map.Entry<K,V>>`